import { Outlet } from "react-router";
import MyComponent from "./components/errorComp";
// import MapUtl from "./components/map/mapUtil";
import { useEffect } from "react";
// const SocketService = require("./util/socket");
import SocketService from "./util/socket";
const socketService = SocketService.getInstance();
const onMessage = (data: any) => {
  console.log("message", data);
};
socketService.on("message", onMessage);
const onConnected = () => {
  console.log("connected");
};
socketService.on("connected", onConnected);

// socketService.
// socket.onmessage((e) => {
// const data = JSON.parse(e.data);
// if (data.type === "heartbeat") {
//   MapUtl.makerList[0].setPosition([103.55, 30.342]);
//   var m = MapUtl.amap;
//   var newIcon = new m.Icon({
//     image: "//a.amap.com/jsapi_demos/static/demo-center/icons/dir-marker.png", //Icon 的图像
//     size: new m.Size(25, 34), // 图标大小
//     anchor: new m.Pixel(12, 32), // 图标锚点
//   });
//   MapUtl.makerList[0].setIcon(newIcon);
// }
// });
const App = () => {
  useEffect(() => {
    console.log("app mounted");
  }, []);
  return (
    <>
      <MyComponent>
        <Outlet />
      </MyComponent>
    </>
  );
};

export default App;
